services:
  api:
    platform: linux/amd64
    build:
      context: .
      dockerfile: Dockerfile
    image: as400api:dev
    container_name: as400api
    environment:
      ASPNETCORE_ENVIRONMENT: Development
      # Override credentials securely here (do NOT bake into image)
      AS400_SYSTEM: "10.200.123.68"
      AS400_DEFAULT_LIBRARIES: "MTDTALIB"
      AS400_USER: "CAPZTMR1"
      AS400_PASSWORD: "ABC123"
      AS400_NAMING: "1"
      AS400_DRIVER_NAME: "IBM i Access ODBC Driver"
    ports:
      - "8080:8080"
    volumes:
      - ./:/src
    working_dir: /app
